extends Node2D

export(Array) var array_nodes
export(Texture) var text1
export(Texture) var text2
export(Texture) var text3
export(Texture) var text4
export(Texture) var text5
export var anim = 'idle'
export var animnode = 'AnimationPlayer'

func _ready():
	get_node(animnode).play(anim)
	for i in array_nodes.size():
		get_node(array_nodes[i]).text2 = self['text'+str(i+1)]
		get_node(array_nodes[i])._change()
	pass # Replace with function body.
